# Module api_rdht

- Description
- Data Types
- Function Index
- Function Details

API for inconsistent access to the replicated DHT items.

Copyright © 2011-2014 Zuse Institute Berlin

Version: $Id$

Authors: Florian Schintke (`schintke@zib.de`).

## Description

API for inconsistent access to the replicated DHT items. This is not compatible with the api_tx functions.

## Data Types

### client_key()

    client_key() = [unicode_char()]

### delete_result()

    delete_result() =
        {ok,
         ResultsOk :: non_neg_integer(),
         ResultList :: [ok | locks_set | undef]} |
        {fail,
         timeout,
         ResultsOk :: non_neg_integer(),
         ResultList :: [ok | locks_set | undef]}

### unicode_char()

    unicode_char() = 0..55295 | 57344..65533 | 65536..1114111

## Function Index

delete/1 |
delete/2 | try to delete the given key and return a list of replicas successfully deleted.
get_replica_keys/1 |

## Function Details

### delete/1

    delete(Key :: client_key()) -> delete_result()

### delete/2

    delete(Key :: client_key(), Timeout :: pos_integer()) ->
              delete_result()

try to delete the given key and return a list of replicas successfully deleted. WARNING: this function can lead to inconsistencies for api_tx functions.

### get_replica_keys/1

    get_replica_keys(Key :: client_key()) -> [rt_chord:key()]

Generated by EDoc, Feb 29 2016, 16:12:21.